﻿#language: ru

@carc

Функционал: 011. CARC. Перемещение тары на складе

Сценарий: 011.1. CARC. Перемещение тары по типу Размещение
	
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Творожный сырок'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ШтрихКодТворожногоСырка"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Склад с ячейкой тары' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Размещение'
	И я нажимаю на кнопку 'Создать'
	И в поле 'Штрихкод' я ввожу текст "$$ШтрихКодСинейКоробки$$"
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$$ШтрихКодПластиковогоПалета$$"
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$ШтрихКодТворожногоСырка$"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И в поле 'АдресЯчейкиПодтверждения' я ввожу текст '0010013'
	И я нажимаю на кнопку "ОК"
	И я нажимаю на кнопку 'КомандаОК'
	И я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И Я закрываю окно '[Администратор]: Меню учетных точек'

Сценарий: 011.2. CARC. Проверка распоряжения на перемещение по типу Размещение

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Склад отправитель'    | 'Склад получатель'     | 'Способ создания'       | 'Статус'    | 'Тип перемещения' |
		| 'Склад с ячейкой тары' | 'Склад с ячейкой тары' | 'Терминал сбора данных' | 'Выполнено' | 'Размещение'      |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на перемещение * от *'
	И элемент формы с именем "СкладОтправитель" стал равен 'Склад с ячейкой тары'
	И элемент формы с именем "СкладПолучатель" стал равен 'Склад с ячейкой тары'
	И элемент формы с именем "ТипПеремещения" стал равен 'Размещение'
	И в таблице "ТоварыПлан" количество строк "равно" 0
	И таблица "Товары" стала равной:
		| 'Количество' | 'Ед.' | 'Номенклатура'      | 'Характеристика'    | 'Серия'             | 'В ед. хранения' | 'Ячейка отправитель' | 'Ячейка получатель' |
		| '1,000'      | 'шт'  | 'Коробка синяя'     | '<не используются>' | '<не используются>' | '1,000, шт'      | '0010014'            | '0010014'           |
		| '1,000'      | 'шт'  | 'Пластиковый палет' | '<не используются>' | '<не используются>' | '1,000, шт'      | '0010014'            | '0010014'           |
		| '10,000'     | 'шт'  | 'Творожный сырок'   | '<не используются>' | '<не используются>' | '10,000, шт'     | '0010011'            | '0010013'           |
	И элемент формы с именем "СпособСоздания" стал равен 'Терминал сбора данных'
	И Я закрываю окно 'Распоряжение на перемещение * от *'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 011.3. CARC. Перемещение тары по типу Перемещение
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Творожный сырок'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ШтрихКодТворожногоСырка"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Склад с ячейкой тары' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Перемещение'
	И я нажимаю на кнопку 'Создать'
	И в поле 'Штрихкод' я ввожу текст '0010013'
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$$ШтрихКодСинейКоробки$$"
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$$ШтрихКодПластиковогоПалета$$"
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$ШтрихКодТворожногоСырка$"
	И я перехожу к следующему реквизиту
	И в поле 'АдресЯчейкиПодтверждения' я ввожу текст '0010011'
	И я нажимаю на кнопку "ОК"
	И я нажимаю на кнопку 'КомандаОК'
	И я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И Я закрываю окно '[Администратор]: Меню учетных точек'

Сценарий: 011.4. CARC. Проверка распоряжения на перемещение по типу Перемещение

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Склад отправитель'    | 'Склад получатель'     | 'Способ создания'       | 'Статус'    | 'Тип перемещения' |
		| 'Склад с ячейкой тары' | 'Склад с ячейкой тары' | 'Терминал сбора данных' | 'Выполнено' | 'Перемещение'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на перемещение * от *'
	И элемент формы с именем "СкладОтправитель" стал равен 'Склад с ячейкой тары'
	И элемент формы с именем "СкладПолучатель" стал равен 'Склад с ячейкой тары'
	И элемент формы с именем "ТипПеремещения" стал равен 'Перемещение'
	И в таблице "ТоварыПлан" количество строк "равно" 0
	И таблица "Товары" стала равной:
		| 'Количество' | 'Ед.' | 'Номенклатура'      | 'Характеристика'    | 'Серия'             | 'В ед. хранения' | 'Ячейка отправитель' | 'Ячейка получатель' |
		| '1,000'      | 'шт'  | 'Коробка синяя'     | '<не используются>' | '<не используются>' | '1,000, шт'      | '0010014'            | '0010014'           |
		| '1,000'      | 'шт'  | 'Пластиковый палет' | '<не используются>' | '<не используются>' | '1,000, шт'      | '0010014'            | '0010014'           |
		| '10,000'     | 'шт'  | 'Творожный сырок'   | '<не используются>' | '<не используются>' | '10,000, шт'     | '0010013'            | '0010011'           |
	И элемент формы с именем "СпособСоздания" стал равен 'Терминал сбора данных'
	И Я закрываю окно 'Распоряжение на перемещение * от *'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 011.5. CARC. Перемещение тары по типу Пересчет
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Творожный сырок'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ШтрихКодТворожногоСырка"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Склад с ячейкой тары' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Пересчет'
	И я нажимаю на кнопку 'Создать'
	И в поле 'Штрихкод' я ввожу текст '0010013'
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$$ШтрихКодСинейКоробки$$"
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$$ШтрихКодПластиковогоПалета$$"
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$ШтрихКодТворожногоСырка$"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И Я закрываю окно '[Администратор]: Меню учетных точек'

Сценарий: 011.6. CARC. Проверка распоряжения на перемещение по типу Пересчет

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Склад отправитель'    | 'Склад получатель'     | 'Способ создания'       | 'Статус'    | 'Тип перемещения' |
		| 'Склад с ячейкой тары' | 'Склад с ячейкой тары' | 'Терминал сбора данных' | 'Выполнено' | 'Пересчет'        |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на перемещение * от *'
	И элемент формы с именем "СкладОтправитель" стал равен 'Склад с ячейкой тары'
	И элемент формы с именем "СкладПолучатель" стал равен 'Склад с ячейкой тары'
	И элемент формы с именем "ТипПеремещения" стал равен 'Пересчет'
	И в таблице "ТоварыПлан" количество строк "равно" 0
	И таблица "Товары" стала равной:
		| 'Количество' | 'Ед.' | 'Номенклатура'      | 'Характеристика'    | 'Серия'             | 'В ед. хранения' | 'Ячейка отправитель' | 'Ячейка получатель' |
		| '1,000'      | 'шт'  | 'Коробка синяя'     | '<не используются>' | '<не используются>' | '1,000, шт'      | '0010014'            | '0010014'           |
		| '1,000'      | 'шт'  | 'Пластиковый палет' | '<не используются>' | '<не используются>' | '1,000, шт'      | '0010014'            | '0010014'           |
		| '10,000'     | 'шт'  | 'Творожный сырок'   | '<не используются>' | '<не используются>' | '10,000, шт'     | '0010013'            | '0010013'           |
	И элемент формы с именем "СпособСоздания" стал равен 'Терминал сбора данных'
	И Я закрываю окно 'Распоряжение на перемещение * от *'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 011.7. CARC. Создание плана перемещения по типу Отбор

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Склад с ячейкой тары'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад с ячейкой тары'
	И из выпадающего списка "Тип перемещения" я выбираю по строке 'Отбор'
	И из выпадающего списка "Статус" я выбираю точное значение 'К выполнению'
	И я перехожу к закладке "План"
	И в таблице "ТоварыПлан" я нажимаю на кнопку с именем 'ТоварыПланДобавить'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланНоменклатура" я выбираю по строке 'Творожный сырок'
	И в таблице "ТоварыПлан" в поле с именем 'ТоварыПланКоличествоУпаковок' я ввожу текст '10,000'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаОтправитель" я выбираю по строке '0010013'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаПолучатель" я выбираю по строке '0010012'
	И в таблице "ТоварыПлан" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на перемещение (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 011.8. CARC. Перемещение тары по типу Отбор
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Творожный сырок'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ШтрихКодТворожногоСырка"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Склад с ячейкой тары' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Перемещение на адресном складе по типу Отбор'
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу текст '0010013'
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$$ШтрихКодСинейКоробки$$"
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$$ШтрихКодПластиковогоПалета$$"
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст "$ШтрихКодТворожногоСырка$"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И Я закрываю окно '[Администратор]: Меню учетных точек'

Сценарий: 011.9. CARC. Проверка распоряжения на перемещение по типу Отбор

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Склад отправитель'    | 'Склад получатель'     | 'Статус'    | 'Тип перемещения' |
		| 'Склад с ячейкой тары' | 'Склад с ячейкой тары' | 'Выполнено' | 'Отбор'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на перемещение * от *'
	И элемент формы с именем "СкладОтправитель" стал равен 'Склад с ячейкой тары'
	И элемент формы с именем "СкладПолучатель" стал равен 'Склад с ячейкой тары'
	И элемент формы с именем "ТипПеремещения" стал равен 'Отбор'
	И в таблице "ТоварыПлан" количество строк "равно" 1
	И таблица "Товары" стала равной:
		| 'Количество' | 'Ед.' | 'Номенклатура'      | 'Характеристика'    | 'Серия'             | 'В ед. хранения' | 'Ячейка отправитель' | 'Ячейка получатель' |
		| '1,000'      | 'шт'  | 'Коробка синяя'     | '<не используются>' | '<не используются>' | '1,000, шт'      | '0010014'            | '0010014'           |
		| '1,000'      | 'шт'  | 'Пластиковый палет' | '<не используются>' | '<не используются>' | '1,000, шт'      | '0010014'            | '0010014'           |
		| '10,000'     | 'шт'  | 'Творожный сырок'   | '<не используются>' | '<не используются>' | '10,000, шт'     | '0010013'            | '0010012'           |
	И Я закрываю окно 'Распоряжение на перемещение * от *'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 011.10. CARC. Завершение

	И Я закрыл все окна клиентского приложения